package com.xinelu.manage.domain.trainingcategory;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 学习培训分类对象 training_category
 *
 * @author xinyilu
 * @date 2023-04-20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "学习培训分类对象", description = "training_category")
public class TrainingCategory extends BaseDomain implements Serializable {
    private static final long serialVersionUID = 7472672566803333086L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 父级分类id
     */
    @ApiModelProperty(value = "父级分类id")
    @Excel(name = "父级分类id")
    private Long parentId;

    /**
     * 培训分类名称
     */
    @ApiModelProperty(value = "培训分类名称")
    @Excel(name = "培训分类名称")
    private String trainingCategoryName;

    /**
     * 培训分类编码
     */
    @ApiModelProperty(value = "培训分类编码")
    @Excel(name = "培训分类编码")
    private String trainingCategoryCode;

    /**
     * 培训分类图片路径
     */
    @ApiModelProperty(value = "培训分类图片路径")
    @Excel(name = "培训分类图片路径")
    private String trainingCategoryPictureUrl;

    /**
     * 培训分类排序
     */
    @ApiModelProperty(value = "培训分类排序")
    @Excel(name = "培训分类排序")
    private Integer trainingCategorySort;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentId", getParentId())
                .append("trainingCategoryName", getTrainingCategoryName())
                .append("trainingCategoryCode", getTrainingCategoryCode())
                .append("trainingCategoryPictureUrl", getTrainingCategoryPictureUrl())
                .append("trainingCategorySort", getTrainingCategorySort())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}